System.Design 2.0.0.0 System.Object

The class is one of several types that represent the schema of a data store at design-time. These schema items are made available to controls by designers implementing the interface. Controls access schema objects by calling the method of the interface.

Use fields from the class when calling the method to specify the types of objects you want to retrieve from a data-store schema.

Specifies the types of objects that can be retrieved from a data-store schema. This class cannot be inherited.

- Field
  2.0.0.0
  System.ComponentModel.Design.Data.DesignerDataSchemaClass To be added.

  Indicates that stored procedures should be returned from the data-store schema.

- Field
  2.0.0.0
  System.ComponentModel.Design.Data.DesignerDataSchemaClass To be added.

  Indicates that tables should be returned from the data-store schema.

- Field
  2.0.0.0
  System.ComponentModel.Design.Data.DesignerDataSchemaClass To be added.

  Indicates that data views should be returned from the data-store schema.